API ReferenceBridge
List tasks
Returns tasks for this Bridge app. Filter by status: pending, scheduled, completed, failed.
Authorization
ApiKeyAuth Authorization<token>
API key authentication. Format: Api-Key <your_api_key>
In: header
Path Parameters
app_external_uuid*string
Format
uuidQuery Parameters
limit?integer
Number of results to return per page.
offset?integer
The initial index from which to return the results.
status?string
Value in
"completed" | "failed" | "pending" | "scheduled"Response Body
application/json
curl -X GET "https://developer.idenhq.com/org/{tenant_slug}/api/v1/bridge/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/tasks/"{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"action": "string",
"resource_type": "string",
"status": "string",
"execute_after": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"payload": {
"account": null,
"memberships": null,
"changes": null
}
}
]
}